# Generated by Makefile. Do not edit.

commit d8d26771064db8f13cd00fb5a1cafb6e77c5551e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 6 00:57:32 2011 -0500

    NEWS update for 3.32.2 release.

 NEWS |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit ceb9534b3128fac1f032c11bbaeb7c482b0f7dee
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 5 19:34:47 2011 +0100

    Bug #402693 - Sending centered or right-aligned text doubles the spacing

 gtkhtml/htmlclueflow.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 39aacb888c8b24e0ee5d1fc4a3b62dfc022f0dde
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 1 16:08:13 2010 +0100

    Bug #612344 - Crash in html_object_prev_not_type at htmlobject.c

 components/editor/gtkhtml-editor-private.h |    3 --
 components/editor/gtkhtml-editor-signals.c |   53 +++++----------------------
 2 files changed, 10 insertions(+), 46 deletions(-)

commit 4f2c4b3152874a43787e1743f22e52213e668a9c
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   Mon Nov 22 20:46:42 2010 -0500

    Bug 635576 - gtkhtml-editor-test link failure
    
    GTHREAD_LIBS is empty.  Use GTKHTML_LIBS instead.

 components/editor/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0c149ec8e6447faa547dd56df6de67d02608cc8f
Author: Bharath Acharya <abharath@novell.com>
Date:   Tue Nov 16 11:07:37 2010 +0530

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ab3bc666532563ceb746ec7c1805c543c5050d5d
Author: Bharath Acharya <abharath@novell.com>
Date:   Mon Nov 15 15:02:48 2010 +0530

    News update for 3.32.1 release.

 NEWS         |   15 +++++++++++++++
 configure.ac |    2 +-
 2 files changed, 16 insertions(+), 1 deletions(-)

commit c77cf66c71fbc6c309ec9ff33b0e7711a53f1098
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 01:41:13 2010 +0100

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |  814 +++++++++++++++++++++++++----------------------------
 1 files changed, 378 insertions(+), 436 deletions(-)

commit 293ec2d943cd8bb230da752a7a8219264eabaf86
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Wed Oct 13 15:46:10 2010 +0300

    Updated Lithuanian translation.

 po/lt.po | 2846 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 1103 insertions(+), 1743 deletions(-)

commit 255288e75cd6ea85b8034ee36785bbe9f99f8d77
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Oct 9 09:17:58 2010 +0900

    Updated Korean translation

 po/ko.po |  819 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 382 insertions(+), 437 deletions(-)

commit c0d55f0fa36c9871ffb372eb7e3e080043fa94c4
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Sep 30 23:42:16 2010 +0200

    Updated Basque language

 po/eu.po |  862 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 396 insertions(+), 466 deletions(-)

commit 01e9e8b50f977679bc32767a26aa9c96d9e14e32
Author: Simos Xenitellis <simos@gnome.org>
Date:   Thu Sep 30 15:16:46 2010 +0300

    l10n: Updated Greek translation for gtkhtml

 po/el.po |  830 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 388 insertions(+), 442 deletions(-)

commit a7a25b48fcd267a30df2958461fd10339c9a4f1d
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Sep 29 11:07:08 2010 +0200

    Bug #630360 - Crash when inserting html file in composer

 components/editor/gtkhtml-editor-actions.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit fdee0ac69dc890b6f7e51b37f881bc0cdce1b53e
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Fri Sep 24 18:44:48 2010 +0200

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  838 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 390 insertions(+), 448 deletions(-)

commit 04d89927baef5f01551d9f99a6129b42e180553b
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Sep 24 12:20:12 2010 +0300

    Updated Arabic translation

 po/ar.po | 2935 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 1139 insertions(+), 1796 deletions(-)

commit 54f51a534dfc37c112247ca16a8731f0bd139f41
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:   Wed Sep 22 10:36:46 2010 +0400

    Updated Russian translation

 po/ru.po |  731 +++++++++++++++++++++-----------------------------------------
 1 files changed, 251 insertions(+), 480 deletions(-)

commit effb36f586a9adc35138e7012d3d916093504020
Author: Daniel S. Koda <danielskoda@gmail.com>
Date:   Tue Sep 21 16:19:25 2010 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  839 ++++++++++++++++++++++++++++-------------------------------
 1 files changed, 392 insertions(+), 447 deletions(-)

commit b2c86161d83c49ebf5e8320f46dbde52f4fbcdde
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Sun Sep 19 01:09:29 2010 +0900

    Updated Japanese translation

 po/ja.po |  282 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 141 insertions(+), 141 deletions(-)

commit 4901ba47c8e00a43f3e72e6e588b5d9dc56c845d
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Thu Sep 16 23:46:02 2010 +0200

    Updated Danish translation

 po/da.po |  831 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 386 insertions(+), 445 deletions(-)

commit 489c2e7ed5e4cc5ce766a99409cf58af70af7066
Author: Ivar Smolin <okul@linux.ee>
Date:   Tue Sep 14 10:58:57 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |  181 +-------------------------------------------------------------
 1 files changed, 2 insertions(+), 179 deletions(-)

commit f383a8d45a7b5909a1ee29dcf1f2fe5883eabc4f
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 13 16:08:58 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e31ea4beace400057344cccd3b40a43d36c55462
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Sep 13 11:52:08 2010 +0530

    News update for 3.31.92 release

 NEWS |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit aa0d85acb79c0b23cf723568e9b7944fedc5393d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Sep 12 06:29:12 2010 -0400

    Bug 629393 - git.mk breaks parallel builds

 git.mk |  177 +++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 93 insertions(+), 84 deletions(-)

commit c244c5906e641a33b8aa86e7f577d558b0897d2f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 13:42:40 2010 -0400

    Use --disable-gtk3 in DISTCHECK_CONFIGURE_FLAGS.
    
    GNOME 2.32 is still based on GTK+ 2.x.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c4b4e3f8d4a6e1de9ea217c9d14bc5561dc19de7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Sep 11 13:28:09 2010 -0400

    Coding style and whitespace cleanups.

 a11y/table.c                            |   26 ++--
 gtkhtml/gtkhtml-embedded.c              |    8 +-
 gtkhtml/gtkhtml-properties.c            |    8 +-
 gtkhtml/gtkhtml.c                       |   82 +++++-----
 gtkhtml/gtkhtmldebug.c                  |    6 +-
 gtkhtml/htmlclueflow.c                  |   54 ++++----
 gtkhtml/htmlcolorset.c                  |   60 ++++----
 gtkhtml/htmlcolorset.h                  |    4 +-
 gtkhtml/htmlengine-edit-cursor.c        |    2 +-
 gtkhtml/htmlengine-edit-cut-and-paste.c |   12 +-
 gtkhtml/htmlengine-edit-table.c         |   64 ++++----
 gtkhtml/htmlengine-edit-tablecell.c     |   68 ++++----
 gtkhtml/htmlengine-save.c               |    2 +-
 gtkhtml/htmlengine.c                    |   52 ++++----
 gtkhtml/htmlfontmanager.c               |   20 ++--
 gtkhtml/htmlfontmanager.h               |    2 +-
 gtkhtml/htmlframeset.c                  |    2 +-
 gtkhtml/htmlgdkpainter.c                |    2 +-
 gtkhtml/htmlpainter.c                   |    6 +-
 gtkhtml/htmlprinter.c                   |    6 +-
 gtkhtml/htmlsearch.c                    |    2 +-
 gtkhtml/htmlsettings.h                  |    2 +-
 gtkhtml/htmlstyle.c                     |    4 +-
 gtkhtml/htmltable.c                     |  250 +++++++++++++++---------------
 gtkhtml/htmltext.c                      |   90 ++++++------
 gtkhtml/htmltextslave.c                 |   32 ++--
 gtkhtml/htmltokenizer.c                 |   34 ++--
 gtkhtml/htmlundo.c                      |   16 +-
 gtkhtml/htmlurl.c                       |    2 +-
 gtkhtml/test-stress.c                   |   24 ++--
 gtkhtml/test-suite.c                    |   16 +-
 gtkhtml/testgtkhtml.c                   |    4 +-
 32 files changed, 481 insertions(+), 481 deletions(-)

commit 446feef41ce1df5c60823aff2334ab24397ca8cf
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Sep 11 19:13:46 2010 +0200

    Updated German translation

 po/de.po |  838 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 391 insertions(+), 447 deletions(-)

commit 4474c01ec3dd320322c28de4d09a1096bb0e0405
Author: Simon Brys <sbrys@novell.com>
Date:   Wed Sep 8 16:18:16 2010 +0530

    Bug #615511 (bnc) - Encoded question mark issues.
    
    Encoded question mark in HTML mails don't display correctly.

 gtkhtml/htmltokenizer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 54962d6860ab34a831d62a91d947afcc96d43d11
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Sep 8 15:56:48 2010 +0530

    Bug #463936 (bnc) - Table insertion issues.
    
    Table inserted before existing text reformat text at end of line.
    Sets the default alignment to centre. This way, the text entered is not moved.

 gtkhtml/htmlengine-edit-table.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e9985e19fdff67b8b2640378d449cbee507d10f8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 7 18:57:28 2010 +0200

    Updated Polish translation

 po/pl.po |  667 ++++++++++++++++++++------------------------------------------
 1 files changed, 217 insertions(+), 450 deletions(-)

commit 84f4f37d71c91f227f9a8c9e0a38fc7f07356033
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Sep 7 18:37:17 2010 +0200

    Bug #623265 - Various memory leaks

 gtkhtml/htmlengine-edit-cut-and-paste.c |    6 +++-
 gtkhtml/htmlengine.c                    |   46 +++++++++++++++++++++----------
 gtkhtml/htmlobject.c                    |    2 +
 3 files changed, 37 insertions(+), 17 deletions(-)

commit d089c3234d6b62040603ea6c9135bac5d018acad
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 5 19:40:40 2010 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  709 ++++++++++++++++++++---------------------------------------
 po/zh_TW.po |  709 ++++++++++++++++++++---------------------------------------
 2 files changed, 488 insertions(+), 930 deletions(-)

commit 9a15c9bbc91341e2608c556cbe5570af2ad272de
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 4 23:18:12 2010 +0100

    Updated Portuguese translation

 po/pt.po |  829 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 385 insertions(+), 444 deletions(-)

commit 14891a212d6bd7d0e00a0833d652114163dba1c3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 1 09:31:33 2010 +0100

    Update British English translation

 po/en_GB.po |  835 +++++++++++++++++++++++++++--------------------------------
 1 files changed, 388 insertions(+), 447 deletions(-)

commit 2cd507e048b5e04648e3262d2c1bbe488dda54c9
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Aug 31 10:21:12 2010 +0200

    Fix a build break - missing include file

 components/editor/gtkhtml-editor-actions.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit eb884038fcbc1c67e05e885590adbfacd690c364
Author: Jeff Cai <jeff.cai@sun.com>
Date:   Tue Aug 31 11:21:13 2010 +0800

    Fix for #613774, GtkHTMLStream should be freed by unref

 components/editor/gtkhtml-editor-actions.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 238bf9ab2ec3f4011ef80d4c20de263dd116ea89
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Aug 30 22:28:54 2010 +0200

    Updated Hungarian translation

 po/hu.po |  659 ++++++++++++++++++++------------------------------------------
 1 files changed, 213 insertions(+), 446 deletions(-)

commit 9735b5f145ebaa820dca2795b57b4703ce73abd0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 19:21:30 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a128b5d8d53a87c7138e03b32461f71348028ba9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Aug 29 19:19:02 2010 -0400

    NEWS update for 3.31.91 release.

 NEWS |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 9cd5d370c79eb33c98afd06fd522ed955f4bfea4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Aug 28 16:38:53 2010 -0400

    Coding style and whitespace cleanup.

 components/editor/gtkhtml-editor.h         |    6 ++++--
 components/editor/gtkhtml-spell-language.c |    2 +-
 gtkhtml/htmlentity.c                       |    2 +-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit 16e09b8620d98ea8581546d0bca682992f66bcb4
Author: Ivar Smolin <okul@linux.ee>
Date:   Fri Aug 27 17:21:30 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 908a54e767ae388e9d616ff19fe1459aecbb456f
Author: Alexander Shopov <ash@contact.bg>
Date:   Mon Aug 23 14:02:55 2010 +0300

    Updated Bulgarian translation

 po/bg.po |  660 ++++++++++++++++++++------------------------------------------
 1 files changed, 214 insertions(+), 446 deletions(-)

commit b8b3d24d9bbfaa0eff898940add8503f78eb6032
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:   Mon Aug 23 00:53:30 2010 +0900

    Updated Japanese translation.

 po/ja.po | 1425 ++++++++++++++++----------------------------------------------
 1 files changed, 352 insertions(+), 1073 deletions(-)

commit 818cd59b6cfc1df8dba1210a54c116e9214109ad
Author: David Planella <david.planella@gmail.com>
Date:   Sun Aug 22 10:00:53 2010 +0200

    Updated Catalan translation

 po/ca.po |  826 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 384 insertions(+), 442 deletions(-)

commit ef0ed38c656e582cc2de31d3171ca4eef030033e
Author: Милош Поповић <gpopac@gmail.com>
Date:   Sun Aug 22 01:23:38 2010 +0200

    Updated Serbian translation

 po/sr.po       |  722 ++++++++++++++++++++++++++------------------------------
 po/sr@latin.po |  722 ++++++++++++++++++++++++++------------------------------
 2 files changed, 666 insertions(+), 778 deletions(-)

commit 7ac4cc781c176e1cf3ff37d0a052e9e6391aaac0
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Aug 16 21:27:21 2010 +0200

    [l10n] Updated Italian translation

 po/it.po |  673 ++++++++++++++++++++------------------------------------------
 1 files changed, 214 insertions(+), 459 deletions(-)

commit 5320070e0723ab35954517b961d73ae4d7fdb31c
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Aug 16 17:53:29 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e671421af6743b1b925097d4016c411e0beb80bf
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Aug 16 16:02:03 2010 +0530

    News update for 3.31.90 release

 NEWS |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 87ace71b701e0e9b05c965475691a41f4b3b74e5
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Thu Aug 12 13:21:20 2010 +0530

    Add an option for disabling deprecated warning flags. We would handle the deprecated gdk gc past evolution-2.32

 configure.ac |   27 ++++++++++++++++++---------
 1 files changed, 18 insertions(+), 9 deletions(-)

commit b4913616477f4b9137620c6bf0670b61aac416a7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 14:10:17 2010 -0400

    Bug 605335 - Alignment of horizontal rules is not saved

 gtkhtml/htmlrule.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 344eb5e024b3db569baf69a497fcf580210ec75f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Aug 13 08:04:47 2010 -0400

    Remove GTK_DEST_DEFAULT_MOTION flag.
    
    Remove the default handler for "drag-motion" signals.  This allows
    Evolution's EMsgComposer to prevent drops at certain times, like when
    dragging from its own attachment bar.  Related to bug #624913.

 gtkhtml/gtkhtml.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e118a01dfefa589ce83fe43b13c5eb2732a0fcfb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Aug 11 10:26:06 2010 -0400

    Remove -DGDK_DISABLE_DEPRECATED
    
    Until we can port the GDK drawing code to cairo.
    
    See: http://blogs.gnome.org/otte/2010/07/27/rendering-cleanup/

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cb09929bb2392355ddec2af3a047ec204e0e1276
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Aug 9 19:18:08 2010 +0200

    Updated Czech translation

 po/cs.po |  435 +++++++++++++++++++-------------------------------------------
 1 files changed, 131 insertions(+), 304 deletions(-)

commit af5dead982374431f97df257b1502c28b0a80b6e
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Aug 9 18:24:38 2010 +0700

    Updated Indonesian translation

 po/id.po |   28 +++++++++++-----------------
 1 files changed, 11 insertions(+), 17 deletions(-)

commit 9d56753a426d6915efa8bdfddeffb1f9ecc74dea
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Aug 6 19:51:14 2010 +0200

    Updated French translation

 po/fr.po |  555 ++++++++++++++++++--------------------------------------------
 1 files changed, 161 insertions(+), 394 deletions(-)

commit 9aef7ef27bda52bc8bb9fbc35deab5c047fc2429
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Aug 5 08:40:49 2010 -0400

    Bug 626090 - Only set -fno-strict-aliasing for GCC

 configure.ac |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit 2f948d0cae562d5d4dd3fc865b291a0ba003e56b
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Aug 5 10:34:07 2010 +0700

    Updated Indonesian translation

 po/id.po |  344 ++++++++++++++++---------------------------------------------
 1 files changed, 90 insertions(+), 254 deletions(-)

commit 2fbeae31c7f476b99966486cf3ad96f99a250866
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 4 15:21:03 2010 +0530

    update Punjabi Translation by A S Alam

 po/pa.po |  854 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 399 insertions(+), 455 deletions(-)

commit fa9d7a472eecf1729ac288e33c7af269ef1c1fa2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 20:05:09 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21dde67e64c4c1cb7247b963b0e5a9c3209d2215
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 20:02:21 2010 -0400

    NEWS update for 3.31.6 release.

 NEWS |  148 ++++++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 81 insertions(+), 67 deletions(-)

commit dccef18b0481a1a44b3a4d655b099dd185f21c0b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 17:54:33 2010 -0400

    Coding style and whitespace cleanup.

 gtkhtml/htmlengine-edit-cursor.c |    2 +-
 gtkhtml/htmltext.c               |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 03691b285f108255fc7c2d203a2de3e1bbfb6f92
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Aug 2 10:16:54 2010 -0400

    Remove redundant check for gthread-2.0.
    
    gtk+-2.0 and gtk+-3.0 both require gthread-2.0.

 configure.ac |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit db629e7fe3c2bed9dbd5461283909af008bf90ee
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jul 30 11:02:11 2010 +0200

    Bug #625171 - Crash while pasting text with links

 gtkhtml/htmlengine-edit-cut-and-paste.c |   13 ++++++++-----
 gtkhtml/htmltext.c                      |    2 +-
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 80f3736ba9b23d3dd5df8ff55756b9f1e98a68b3
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Jul 27 21:48:35 2010 +0700

    Updated Indonesian translation

 po/id.po | 2824 +++++++++++++++++++++++++------------------------------------
 1 files changed, 1157 insertions(+), 1667 deletions(-)

commit 2628f0af053dc74868859f08d7a87a701d237a1f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jul 27 14:33:26 2010 +0200

    Updated Slovenian translation

 po/sl.po |  849 ++------------------------------------------------------------
 1 files changed, 18 insertions(+), 831 deletions(-)

commit afffa016d6d3d1312c63f53202d5f0d199f8e0f0
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Jul 27 00:09:07 2010 +0200

    Updated Swedish translation

 po/sv.po |  793 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 339 insertions(+), 454 deletions(-)

commit fe51d1e4835c94b223f42dd4642f865be41a6eaf
Author: drtv <vasudeven@git.gnome.org>
Date:   Sat Jul 24 20:52:54 2010 +0530

    Updated Tamil translation

 po/ta.po |  833 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 387 insertions(+), 446 deletions(-)

commit a4723740342a4866db1c74c7725f22a57cc436c7
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Jul 24 18:38:20 2010 +0800

    Complete Simplified Chinese translation.

 po/zh_CN.po |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit db79be22c1aec3373c048f2940f4db4a66f56ade
Author: Aron Xu <aronxu@gnome.org>
Date:   Sat Jul 24 18:14:08 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po |  841 ++++++++++++++++++++++++++++-------------------------------
 1 files changed, 396 insertions(+), 445 deletions(-)

commit 1b851c5c94535d7189848f7e8c5ededb30e4c1ff
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 20 13:51:27 2010 +0200

    Updated Galician translations

 po/gl.po |  446 +++++++++++++++++++-------------------------------------------
 1 files changed, 134 insertions(+), 312 deletions(-)

commit 17e5d90b89266958253c5df6b2f1e0f7c3575cfa
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 14 21:37:36 2010 +0200

    Bug #610797 - Improve UTF-8 text sanitizing

 gtkhtml/htmlengine-edit-cut-and-paste.c |   12 ++-
 gtkhtml/htmltext.c                      |  119 ++++++++++++++++++------------
 gtkhtml/htmltext.h                      |    3 +-
 3 files changed, 81 insertions(+), 53 deletions(-)

commit f8449637aa0a65f54631b4396dbe2f1089477f03
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jul 14 13:38:06 2010 +0200

    Bug #624315 - Skip spelling update when no content set

 gtkhtml/gtkhtml.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2f2b6a75b2a2a841dbe3585bf7e94f3074f5c786
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 18:13:45 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d53cd05250e0b3305c340f9a6da02859ea6f770
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 18:09:19 2010 -0400

    Amended NEWS update for 3.31.5 release.

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 36e7980ac93a823632c42052180bf162bf91aeaf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jul 12 06:37:15 2010 -0400

    Bug 624149 - Check for NULL after gtkhtml_editor_run_open_dialog()

 components/editor/gtkhtml-editor-actions.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit feb8822ee27118b126534e843d02f0c0be5ded80
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 22:34:31 2010 -0400

    NEWS update for 3.31.5 release.

 NEWS |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit b1dc89727e3f035a4061ae5293f56e650068ba6a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jul 11 13:20:09 2010 -0400

    Coding style and whitespace cleanup.

 gtkhtml/gtkhtml-stream.c                |    2 +-
 gtkhtml/gtkhtml.c                       |    4 +-
 gtkhtml/gtkhtmldebug.c                  |    8 ++--
 gtkhtml/htmlclue.c                      |   10 +++---
 gtkhtml/htmlclueflow.c                  |   26 +++++++-------
 gtkhtml/htmlcolor.c                     |    4 +-
 gtkhtml/htmlcursor.c                    |   16 ++++----
 gtkhtml/htmlengine-edit-cut-and-paste.c |   16 ++++----
 gtkhtml/htmlengine-edit-table.c         |   46 ++++++++++++------------
 gtkhtml/htmlengine-edit-tablecell.c     |   58 +++++++++++++++---------------
 gtkhtml/htmlengine-edit-text.c          |    2 +-
 gtkhtml/htmlengine-edit.c               |    8 ++--
 gtkhtml/htmlengine-print.c              |    2 +-
 gtkhtml/htmlengine.c                    |    4 +-
 gtkhtml/htmlfontmanager.c               |   12 +++---
 gtkhtml/htmlgdkpainter.c                |    2 +-
 gtkhtml/htmlobject.c                    |   30 ++++++++--------
 gtkhtml/htmlpainter.c                   |    8 ++--
 gtkhtml/htmlselection.c                 |    4 +-
 gtkhtml/htmlstyle.c                     |   10 +++---
 gtkhtml/htmltable.c                     |   52 ++++++++++++++--------------
 gtkhtml/htmltext.c                      |   48 +++++++++++++-------------
 gtkhtml/htmltextslave.c                 |   54 ++++++++++++++--------------
 gtkhtml/htmltokenizer.c                 |   20 +++++-----
 gtkhtml/htmlundo.c                      |   38 ++++++++++----------
 gtkhtml/test-stress.c                   |   24 ++++++------
 gtkhtml/test-suite.c                    |    8 ++--
 27 files changed, 258 insertions(+), 258 deletions(-)

commit 8a574a556ee2f70669829eb26d7e7059083e2ea3
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jul 11 16:53:54 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po |  755 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 349 insertions(+), 406 deletions(-)

commit ed0f82641a441ba8365f4b206f68796052ea6f7a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jul 5 18:22:41 2010 +0200

    Updated Slovenian translation

 po/sl.po |  961 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 558 insertions(+), 403 deletions(-)

commit 194f434dd987b66a114b827d73ccb1d4b2c24b0a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 19:04:15 2010 -0400

    Work around sudden disapperance of GdkRegion in GTK+ 2.90.5.
    
    API was deprecated and removed in less than two hours!  Sheesh!

 gtkhtml/Makefile.am  |    1 +
 gtkhtml/gtk-compat.h |   25 +++++++++++++++++++++++++
 gtkhtml/htmlengine.c |    1 +
 3 files changed, 27 insertions(+), 0 deletions(-)

commit 540b2d7301adf70b54decea206064ca33eb127d0
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 23:33:28 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e3fd11fc5e444445ce7eda1d2d730705b4c3d082
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 23:13:40 2010 +0530

    News update for 2.31.4 release

 NEWS |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 3cc291a556ae041461fdbb7c0c42a4ba789d0c77
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 09:45:00 2010 -0400

    Lower gtk+-3.0 requirement to 2.90.4.
    
    Since 2.90.5 isn't released yet and the release team would probably
    like to assemble a 2.31.4 moduleset.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit da34cf383b4aefa56adb7d423ff1f0871d1a9994
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 09:39:23 2010 -0400

    Fix a Makefile.am typo.

 components/editor/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 42b3174a84e21361f4b5502c1082d09e97e549b3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:52:51 2010 -0400

    Show the GTK+ package in configure summary.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c53919f87b6b18418cc937765b9f420390e8175a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:51:26 2010 -0400

    Build against gtk+-3.0 when running distcheck.

 Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit aad24cc54667f7be247b48aaf2e080b91fbb239d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:45:54 2010 -0400

    Fix up pkg-config file for gtkhtml-editor.
    
    Append an API version: 3.14 for gtk+-2.0, 4.0 for gtk+-3.0.

 components/editor/Makefile.am          |   22 +++++++++++++---------
 components/editor/gtkhtml-editor.pc.in |    2 +-
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 447fec50179842e90d3cc721f53c69b4c5ddb123
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:31:53 2010 -0400

    Delete gail_minimum_version from configure.ac.
    
    Gail is part of GTK+ so just reuse gtk_minimum_version.

 configure.ac |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit c551c7d28139f9f43429a4e83e3fef1ccee23e4b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jun 29 08:27:24 2010 -0400

    Use the appropriate version of gail.
    
    Require gail if building with gtk+-2.0, gail-3.0 if building with
    gtk+-3.0.

 configure.ac |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2dfeb7241b1c0f41f79d1eab944be91d86e08d44
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 16:38:03 2010 +0530

    Update library versioning for the gtk3 libraries

 configure.ac        |    6 ++++++
 gtkhtml/Makefile.am |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 02c033ade9b069914d9107823cf99a3022274a0a
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue Jun 29 15:59:16 2010 +0530

    Add versioning to the installed libraries

 components/editor/Makefile.am |   21 +++++++++++++++------
 configure.ac                  |    3 ++-
 gtkhtml/Makefile.am           |   13 ++++++++++---
 3 files changed, 27 insertions(+), 10 deletions(-)

commit 49eb8d852f76e119782e59651be7c31b5bd9ac67
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 28 20:40:59 2010 +0530

    compatibility with gtk2. bump api versions when compiled gtk-3.

 configure.ac |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit c39b34f79bbc82fc9a77af993a864be8e12d9a1e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 28 15:19:45 2010 +0530

    use gtk-3.0 if available

 configure.ac |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 685aa181d33602854cbccb30134194b893d6e7bf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jun 23 08:53:40 2010 -0400

    Remove bogus drag destination targets.
    
    Following up on the previous commit message, Evolution's email composer
    now appends GtkHTML's drag destination target list, so the bogus drag
    destination targets can be removed from GtkHtml.
    
    This was done in Evolution commit c37352e.

 gtkhtml/gtkhtml.c |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 83823971806efeaa79c9c27d4e067a025e1beee9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jun 23 08:27:36 2010 -0400

    Split target lists for drag source and drag destination.
    
    GtkHtml was advertising bogus drag source targets like "text/calendar"
    and "text/x-vcard" because it was using the same target list when
    registering as a drag source and drag destination.
    
    Technically those aren't valid drag destination targets for GtkHtml
    either.  They were added in the Bonobo age so Evolution's email composer
    would accept them and add them to its attachment bar.  These days the
    composer should be amending GtkHtml's target list itself.  Will clean
    that up separately.

 gtkhtml/gtkhtml.c |   25 ++++++++++++++++++-------
 1 files changed, 18 insertions(+), 7 deletions(-)

commit 883e2bea88a974583bcc3aa7dc038de7b9f9dff6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jun 21 20:22:36 2010 -0400

    Bug 444709 - Add support for multimedia keys

 components/editor/gtkhtml-editor-private.h |    4 ++++
 components/editor/gtkhtml-editor.c         |   21 +++++++++++++++++++++
 configure.ac                               |   10 ++++++++++
 3 files changed, 35 insertions(+), 0 deletions(-)

commit 3ee71fe0d44ccb332c0a87f65b86272eef5c55a4
Author: Anita Reitere <nitalynx@gmail.com>
Date:   Mon Jun 21 14:50:33 2010 +0300

    Updated Latvian translation.

 po/lv.po | 3388 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1798 insertions(+), 1590 deletions(-)

commit 93a6362a515e2eaedb338795ded934c3ff6580c5
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Jun 9 12:04:03 2010 +0530

    Fixes build

 gtkhtml/htmlembedded.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0317ea543865e1619ee6756cc438a9f937cdf7e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Wed Jun 9 11:36:11 2010 +0530

    Bug 344076 - Crash after closing an inline view of text attachment

 gtkhtml/htmlembedded.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit a77b5eb2f0197e524127a8b2d43128c9b5193fa0
Author: Bharath Acharya <abharath@novell.com>
Date:   Wed Jun 9 09:31:06 2010 +0530

    Bug #607324 - Crash doing table editing.
    
    Double free fixes.

 gtkhtml/htmlengine-edit-table.c |    3 ++-
 gtkhtml/htmlobject.c            |    2 --
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 4ac9b583e5f3c97cc0d15ea0e8ba9d7949f72e6e
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 7 16:51:40 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4fb1fdf647a950f7581cfaeb3be1ce471e0bc28d
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Jun 7 09:26:34 2010 +0530

    News update for 3.31.3 release

 NEWS |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 94d8c0a251d85103e9049e11d05327fe10a305ac
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jun 6 16:08:04 2010 -0400

    Coding style and whitespace cleanups.

 components/editor/gtkhtml-spell-language.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 464f939f15da3d044bfb4831e789e7ad8e6b139b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jun 1 21:25:37 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |   22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

commit e1c6f2eba29e57de180e1e69824eac62befa3743
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri May 28 00:42:11 2010 +0300

    Updated Hebrew translation.

 po/he.po |  916 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 433 insertions(+), 483 deletions(-)

commit df48cba43ba4fb2e5c02324888b7021f7c821fdf
Author: Ivar Smolin <okul@linux.ee>
Date:   Thu May 27 08:32:50 2010 +0300

    Estonian translation updated

 po/et.po |  375 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 192 insertions(+), 183 deletions(-)

commit 323c68f8f69c729f404b9885a3253d4d655fa9dd
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue May 25 08:28:34 2010 +0200

    Updated Spanish translation

 po/es.po |  734 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 339 insertions(+), 395 deletions(-)

commit 17f54bb2463f1909eb751893d4d94fa3e694e996
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 23 12:32:36 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee77e80dc0f28f9230622b6c69cec014fde4224b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 23 11:15:10 2010 -0400

    NEWS update for 3.31.2 release.

 NEWS |   20 +++++++++++++++++++-
 1 files changed, 19 insertions(+), 1 deletions(-)

commit a86c7dd7c1f53b40804f920d74a115b796a81418
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 21 15:31:26 2010 +0200

    Bug #512468 - Wrap Lines keeps spaces in quoted text

 gtkhtml/htmlengine-edit.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 76646b3f6bcda710e47e5ac6cf8f754feb4afaba
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 21 14:37:13 2010 +0200

    Bug #597111 - Line wrap only acts on current paragraph regardless selection

 gtkhtml/htmlengine-edit.c |   88 ++++++++++++++++++++++++++++----------------
 1 files changed, 56 insertions(+), 32 deletions(-)

commit 98ae89d4a368ff5d797e918443817775e657373b
Author: Denis Pauk <pauk.denis@gmail.com>
Date:   Thu May 20 20:00:08 2010 +0200

    Reverting patch for bug #617543

 gtkhtml/Makefile.am |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit b7a13bd912b17ac535982a59e10dc97aa5e9d786
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu May 20 19:02:31 2010 +0200

    Updated Galician translations

 po/gl.po |   36 +++++++++++++++++++++---------------
 1 files changed, 21 insertions(+), 15 deletions(-)

commit da6162b8befc7d0ab041cf5513b8a8dd929dd94e
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed May 19 23:47:14 2010 +0200

    Bug #220672 - Excessive autosaving uses lots of resources

 components/editor/gtkhtml-editor.c      |   37 +++++++++++++++++++++++++++++-
 gtkhtml/gtkhtml.c                       |    4 +-
 gtkhtml/htmlengine-edit-clueflowstyle.c |    2 +-
 gtkhtml/htmlengine-edit-cut-and-paste.c |   32 +++++++++++++-------------
 gtkhtml/htmlengine-edit-fontstyle.c     |    2 +-
 gtkhtml/htmlengine-edit-table.c         |   22 +++++++++---------
 gtkhtml/htmlengine-edit-tablecell.c     |   20 ++++++++--------
 gtkhtml/htmlengine-edit-text.c          |    2 +-
 gtkhtml/htmlengine-edit.c               |    8 +++---
 gtkhtml/htmlengine.c                    |   23 +++++++++++++++++-
 gtkhtml/htmlengine.h                    |    3 ++
 gtkhtml/htmltext.c                      |    2 +-
 gtkhtml/htmlundo.c                      |   26 ++++++++++++---------
 gtkhtml/htmlundo.h                      |    5 +++-
 14 files changed, 125 insertions(+), 63 deletions(-)

commit 52ad8a829049ae3a99d1b53fc5b695f507152479
Author: Denis Pauk <pauk.denis@gmail.com>
Date:   Wed May 19 23:17:31 2010 +0200

    Bug #617543 - Fix build if changed GTKHTML_API_VERSION

 gtkhtml/Makefile.am |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 2e0170762e11ace4a4356700058b534b08950aeb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed May 19 12:26:31 2010 -0400

    Don't use GSEAL_ENABLE just yet.
    
    Defer this until we require a version of GTK+ that includes
    gtk_accessible_get_widget().

 configure.ac |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 4784f0a6a8fe23957917981152a61b402fa30bde
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed May 19 11:37:08 2010 -0400

    Bug 615294 - Does not compile with -DGSEAL_ENABLE

 configure.ac      |    1 +
 gtkhtml/gtkhtml.c |   75 ++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 70 insertions(+), 6 deletions(-)

commit 6f66ae541d4b064ebf57c1d5d1576ab90419fc56
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:41:46 2010 -0400

    Updated Shavian transliteration

 po/en@shaw.po |  811 +++++++++++++++++++++++++++++----------------------------
 1 files changed, 414 insertions(+), 397 deletions(-)

commit c57dc6fe1be519cbab925ea693b7a0a6f8b2b9c3
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue May 11 16:10:10 2010 +0200

    Bug #618368 - Doesn't make all pasted links clickable

 gtkhtml/htmltext.c |   22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

commit 8577a2e8e7d2a6accbe1846f439dd14d6077abc1
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Wed May 5 16:00:30 2010 +0200

    [win32] Relocate relevant paths to data

 components/editor/gtkhtml-spell-language.c |   71 ++++++++++++++++++++++++++++
 1 files changed, 71 insertions(+), 0 deletions(-)

commit 23e7fbcd97b6118e901666c96ef729fd874ddf20
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon May 3 20:04:09 2010 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b8e8ff5dffc2bf4cd8c02dcf62ec372ed26cc7ab
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon May 3 17:47:14 2010 +0530

    news update for 2.31.1 release

 NEWS |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 8a6cf4933f0876b5ac2cb0a303cfa15ffa358534
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun May 2 11:06:55 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  549 ++++++++++++++++++--------------------------------------------
 1 files changed, 154 insertions(+), 395 deletions(-)

commit 25e375ae765ba85144feac1e7f0376c3c604e4c0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 1 18:10:38 2010 -0400

    Coding style cleanup.

 gtkhtml/htmlengine.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a395fb5e65685a71049991b3f5b028914aef079
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Apr 28 20:02:37 2010 +0200

    Bug #575038 - Cursor/caret mode breaks magic spacebar

 gtkhtml/gtkhtml.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 38664274af1b69557b7dfc9aff8d43b6b0ddf002
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 23 12:43:53 2010 +0200

    Bug #247302 - Wrong letter color with HTML content rendering

 gtkhtml/htmlstyle.c |   31 ++++++++++++++++++++++++++++++-
 1 files changed, 30 insertions(+), 1 deletions(-)

commit b515824c03f0e7848e1e6fd4cda5eb3181c7a0ed
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Apr 21 23:13:07 2010 +0200

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |  623 ++++++++++++++++++++++++++++++++---------------------
 1 files changed, 376 insertions(+), 247 deletions(-)

commit c9173f161b90431dbc44f30753e501d5c6627af9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 17 19:00:21 2010 -0400

    Use gtk_accessible_get_widget() if available.

 a11y/object.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8d7db0b2135d039ebb969b67bbe05594705844ce
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 17 16:54:11 2010 -0400

    Fix most GSEAL issues.

 components/editor/gtkhtml-color-combo.c      |   21 +++-----
 components/editor/gtkhtml-color-swatch.c     |    2 +-
 components/editor/gtkhtml-face-tool-button.c |   19 +++-----
 configure.ac                                 |    2 +-
 gtkhtml/gtkhtml-embedded.c                   |    9 ++-
 gtkhtml/gtkhtml.c                            |   68 +++++++++++++-------------
 gtkhtml/htmlengine-search.c                  |    9 +++-
 gtkhtml/htmlengine.c                         |   22 +++++----
 gtkhtml/htmlselection.c                      |    4 --
 9 files changed, 76 insertions(+), 80 deletions(-)

commit 6b409ed36523c9740d13ad5e2ac09036d04ee348
Author: Francisco Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Apr 17 21:53:08 2010 +0200

    Updated Galician translations

 po/gl.po |  694 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 317 insertions(+), 377 deletions(-)

commit e2fc37ebd85032fac0a72d534854362867e2c840
Author: Mario Carrion <mario@carrion.mx>
Date:   Fri Apr 9 12:20:29 2010 +0530

    Bug 615205 - Translations not working in Emoticons and Find/Replace dialogs.

 components/editor/gtkhtml-editor-private.c    |    2 ++
 components/editor/gtkhtml-face-chooser-menu.c |    6 +++++-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 81e3a0b270af6850db1cfa2f8e6c2d140688da82
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Apr 2 17:38:33 2010 -0400

    Generate ChangeLog files for tarball releases.
    
    Remove old ChangeLog files that predate our switch to git.

 ChangeLog                     | 1920 +----
 Makefile.am                   |   16 +
 a11y/ChangeLog                |  361 -
 art/ChangeLog                 |  130 -
 components/editor/ChangeLog   |  463 -
 components/editor/Makefile.am |    1 -
 doc/ChangeLog                 |   24 -
 gtkhtml/ChangeLog             |20994 -----------------------------------------
 po/ChangeLog                  | 4460 ---------
 9 files changed, 19 insertions(+), 28350 deletions(-)

commit 9d551b767dc8b5fcb425531cff628a129d15369d
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 2 18:58:52 2010 +0200

    Bug #551554 - gtkhtml translation issues (add translation comments)

 components/editor/gtkhtml-editor-actions.c  |    7 +++++++
 components/editor/gtkhtml-editor-builder.ui |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 67c10eb291748ac9003f40ba3ac8f37e74cd805d
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:   Fri Apr 2 18:30:37 2010 +0200

    Fixes to Catalan translation

 po/ca.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4a06354d37e9c875bcf799cea1a2ea0b46c1a007
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 2 16:23:00 2010 +0200

    Bug #514611 - Add translators comments and one string

 components/editor/gtkhtml-editor-actions.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 718ad79bd3cc26de39ea070adea26ed7d22fefbe
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 1 21:17:50 2010 +0200

    Bug #325121 - Do not translate developer strings in g_param_spec_*

 components/editor/gtkhtml-color-combo.c   |   42 +++++++++-------------------
 components/editor/gtkhtml-color-state.c   |   20 +++++++-------
 components/editor/gtkhtml-color-swatch.c  |    8 +++---
 components/editor/gtkhtml-combo-box.c     |    4 +-
 components/editor/gtkhtml-editor.c        |   28 +++++++++---------
 components/editor/gtkhtml-spell-checker.c |    4 +-
 components/editor/gtkhtml-spell-dialog.c  |    4 +-
 gtkhtml/gtkhtml.c                         |   40 +++++++++++++-------------
 8 files changed, 68 insertions(+), 82 deletions(-)

commit d84fd7347a3e6c8c667078a95184d60e87035270
Author: Denis Pauk <pauk.denis@gmail.com>
Date:   Thu Apr 1 16:51:11 2010 +0200

    Bug #602634 - Not fully supported list types

 gtkhtml/htmlclueflow.c |   12 ++++++++++++
 gtkhtml/htmlengine.c   |   29 ++++++++++++++++++-----------
 gtkhtml/htmlenums.h    |    5 ++++-
 3 files changed, 34 insertions(+), 12 deletions(-)

commit 8ef6010ad902802201a49c858b235c9bfeccd59b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Mar 31 16:35:02 2010 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cd414649da103fd1fc898d943740dda4a11e6033
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Mar 30 22:07:04 2010 +0200

    Bug #461203 - Do not select text on drop abort

 gtkhtml/gtkhtml.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 426806b4cfc628c05c637147cdf59965097ec426
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 30 18:07:56 2010 +0200

    Dutch translation updated by Wouter Bolsterlee

 po/nl.po | 2619 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 1019 insertions(+), 1600 deletions(-)

commit 5f4ccfe0ce049bdf003016f86ecaed5b9aa21299
Author: Nikos Bakaoukas <nikolaosx1@gmail.com>
Date:   Sat Mar 27 22:26:46 2010 +0200

    Updated Greek translation for gtkhtml

 po/el.po | 2166 ++++++++++++++------------------------------------------------
 1 files changed, 489 insertions(+), 1677 deletions(-)

commit 94e80f09bd6bcaef60f97f1c1e717bfd030fa5a5
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Sun Mar 28 00:25:08 2010 +0600

    Updated Bengali translation

 po/bn.po |  140 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 68 insertions(+), 72 deletions(-)

commit 1c32f90b7cbf1368933a395d38305f93a0eb0519
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 27 16:31:36 2010 +0100

    Updated Danish translation

 po/da.po |  398 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 207 insertions(+), 191 deletions(-)

commit 729fea9ea82db5872fd4201a4e708d4a4656d6e4
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Thu Mar 25 17:39:47 2010 +0200

    Updated Finnish translation

 po/fi.po |  591 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 230 insertions(+), 361 deletions(-)

commit 846fc91c01936afbd3c4d954eda0e79b7a24d057
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Wed Mar 24 10:01:12 2010 +0100

    Updated Serbian translations

 po/sr.po       |  417 +++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po |  409 ++++++++++++++++++++++++++++---------------------------
 2 files changed, 422 insertions(+), 404 deletions(-)

commit fb15b4e0094fd26e1f8ea0a343eea05f38315708
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 23 19:13:46 2010 +0100

    Updated Basque language

 po/eu.po |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit edb5118a58c19901b59ee53fd61b4ccaf1fe038f
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Mar 19 21:01:39 2010 +0100

    Updated Catalan translation

 po/ca.po |  410 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 213 insertions(+), 197 deletions(-)

commit 6a2127675d5be7eca49636bcbb0db3810b885e67
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 19 19:27:20 2010 +0100

    Bug #613181 - Mistakenly removed statement

 gtkhtml/htmlengine.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
